Apple Blocked Ability to Install iOS Beta Firmware for Non-Developers?

According to numerous user reports, Apple has blocked the ability to install iOS beta firmware for all the non-authorised devices. Now if you want to update to the latest beta your iPhone or iPad should be registered on an Apple Developer account.

Those non-developers who tried to instal the latest iOS 7.1 beta 2 faced the following error (via iClarified):

Activation Error:

This device is not registered as part of the iPhone Developer Program. If you are a member of the iPhone Developer Program, please register your device in the iPhone Developer Program Portal at http://developer.apple.com/iphone.

Well, all I can say is that it is better to wait for a couple of weeks until iOS 7.1 will become available for all users.

Follow us on Twitter:     

| |


Leave a comment

Written by Andrey

Monday, December 16, 2013. 22:06

Leave a Reply

You can login with iPhoneRoot account here.